MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026866Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-13 12:082017-09-29 16:31
Reporteribs 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026866: Configuration, genproj - ensure consistency between FILES and actual content of inc and src folders
Descriptiongenproj TCL script for generation of OCCT solution does not remove existing old copies of headers that might have been removed from OCCT sources.

Furthermore, it copies all headers found in the package directory, regardless of whether they are listed in the FILES file of the package.

it should be improved to ensure consistency:

- Only headers listed in FILES should be copied / linked to inc.
- All files found in package directory but not listed in FILES should be reported (warning).
- Headers found in inc but not in FILES of any package should be removed (with warning message).
Steps To Reproduce• Run genproj vc* command for occt to generate occt/inc directory
• Create name.hxx file in some occt/src/package directory (do not add it to FILES)
• Create name.cxx file in same directory (do not add it to FILES)
• Create anothername.hxx file in occt/inc directory
• Run genproj vc* command again

Results:
1) Warning about files name.hxx and name.cxx - they are not found in FILES
2) Warning about file anothername.hxx, it should be removed by genproj
3) File name.hxx should not be copied/linked to occt/inc directory
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026800closedbugmaster CMake and genproj - ensure consistency between FILES and actual content of inc and src folders 

-  Notes
(0062038)
git (administrator)
2016-12-22 20:56

Branch CR26866 has been created by ski.

SHA-1: 2a4e36917d280548690ed3975df3e69f932dd53b


Detailed log of new commits:

Author: ski
Date: Thu Dec 22 20:54:00 2016 +0300

    0026866: Configuration, genproj - ensure consistency between FILES and actual content of inc and src folders
    
    Added check of consistency between FILES and actual content of inc and src folders in genproj procedure.
(0062039)
ski (developer)
2016-12-22 21:05

Dear ibs,

please review.
(0062050)
ibs (developer)
2016-12-23 11:21

there are no remarks
(0063524)
git (administrator)
2017-02-08 11:31

Branch CR26866 has been deleted by kgv.

SHA-1: 2a4e36917d280548690ed3975df3e69f932dd53b

- Related Changesets
occt: master 5da3dfdf
Timestamp: 2016-12-22 17:54:00
Author: ski
Committer: apn
Details ] Diff ]
0026866: Configuration, genproj - ensure consistency between FILES and actual content of inc and src folders

Added check of consistency between FILES and actual content of inc and src folders in genproj procedure.
mod - adm/genproj.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-13 12:08 ibs New Issue
2015-11-13 12:08 ibs Assigned To => ibs
2015-11-13 12:10 ibs Relationship added child of 0026800
2015-11-13 12:39 ibs Status new => assigned
2016-02-18 18:01 ibs Assigned To ibs => ski
2016-03-02 13:18 ibs Target Version 7.0.0 => 7.1.0
2016-11-22 10:59 abv Target Version 7.1.0 => 7.2.0
2016-12-22 20:56 git Note Added: 0062038
2016-12-22 21:05 ski Note Added: 0062039
2016-12-22 21:05 ski Assigned To ski => ibs
2016-12-22 21:05 ski Status assigned => resolved
2016-12-22 21:05 ski Steps to Reproduce Updated View Revisions
2016-12-23 11:21 ibs Note Added: 0062050
2016-12-23 11:21 ibs Assigned To ibs => bugmaster
2016-12-23 11:21 ibs Status resolved => reviewed
2016-12-23 12:05 apn Assigned To bugmaster => apn
2016-12-29 13:48 apn Test case number => Not needed
2016-12-29 13:48 apn Status reviewed => tested
2016-12-29 13:48 apn Assigned To apn => bugmaster
2016-12-30 18:08 apn Changeset attached => occt master 5da3dfdf
2016-12-30 18:08 apn Assigned To bugmaster => apn
2016-12-30 18:08 apn Status tested => verified
2016-12-30 18:08 apn Resolution open => fixed
2017-02-08 11:31 git Note Added: 0063524
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker